http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/deploymentsGets information about a Deployments collection.
The string identifier of the associated RestApi.
The current pagination position in the paged result set.
The maximum number of returned results per page. The default value is 25 and the maximum value is 500.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/deployments' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/deploymentsGets information about a Deployments collection.
The string identifier of the associated RestApi.
The current pagination position in the paged result set.
The maximum number of returned results per page. The default value is 25 and the maximum value is 500.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/deployments' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}